#!/usr/bin/env python
from faker import Factory
from random import randint
from elasticsearch import Elasticsearch, helpers
from json import dumps

if __name__ == '__main__':
    
    fake = Factory.create('de_DE')
    es = Elasticsearch()

    actions = list()
    for i in range(20):
        d = {
            'buyer': fake.name(),
            'built': fake.past_date(start_date='-1y').isoformat(),
            'serial': fake.isbn13(),
            'last_seen': list()
        }
        for i in range(randint(0,5)):
            name = d['buyer']
            if randint(0,5) == 5: name = fake.name()
            l = {
                'date': fake.past_date(start_date='-1y').isoformat(),
                'from': name,
                'problem': fake.sentence(),
                'done': fake.sentence()
            }
            d['last_seen'].append(l)
            pass
        action = {'_op_type': 'index',
                  '_index': 'serialz',
                  '_type': 'serialz',
                  '_source': d}
        actions.append(action)
        pass

    helpers.bulk(es, actions)
